Package jcifs.util

# Class LogStream

java.lang.Object
java.io.OutputStream
java.io.FilterOutputStream
java.io.PrintStream
jcifs.util.LogStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `Appendable`, `AutoCloseable`

public class LogStream extends PrintStream
0 - nothing 1 - critical [default] 2 - basic info can be logged under load 3 - almost everything N - debugging

## Field Summary

Fields
Modifier and Type
Field
Description
`static int`
`level`

### Fields inherited from class java.io.FilterOutputStream

`out`

## Constructor Summary

Constructors
Constructor
Description
`LogStream(PrintStream stream)`

## Method Summary

Modifier and Type
Method
Description
`static LogStream`
`getInstance()`
`static void`
`setInstance(PrintStream stream)`
This must be called before `getInstance` is called or it will have no effect.
`static void`
`setLevel(int level)`

### Methods inherited from class java.io.PrintStream

`append, append, append, charset, checkError, clearError, close, flush, format, format, print, print, print, print, print, print, print, print, print, printf, printf, println, println, println, println, println, println, println, println, println, println, setError, write, write, write, writeBytes`

### Methods inherited from class java.io.OutputStream

`nullOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### level

public static int level

## Constructor Details

### LogStream

public LogStream(PrintStream stream)

## Method Details

### setLevel

public static void setLevel(int level)

### setInstance

public static void setInstance(PrintStream stream)
This must be called before `getInstance` is called or it will have no effect.

### getInstance

public static LogStream getInstance()